Skip to main content
GET
/
v1
/
users
/
unblock
/
{userId}
User Unblocking Operation
curl --request GET \
  --url https://api.iklim.co/v1/users/unblock/{userId}
import requests

url = "https://api.iklim.co/v1/users/unblock/{userId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.iklim.co/v1/users/unblock/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "userId": "8e94a551-5b86-40ba-ae55-b019dee5cc25",
  "username": "name@domain.com",
  "firstName": "John",
  "lastName": "Doe",
  "locale": "tr_TR",
  "timezone": "Europe/Istanbul",
  "roles": "API_USER",
  "status": "INACTIVE",
  "midName": "Bob",
  "account": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "mobilePhoneNumber": "<string>",
    "location": "<string>",
    "company": "<string>",
    "industry": "<string>",
    "profilePictureUrl": "<string>",
    "emailVerified": true,
    "mobilePhoneNumberVerified": true
  }
}

Path Parameters

userId
string
required

Response

Successful User Unblocking

userId
string
required

ID Number of Registered User

Example:

"8e94a551-5b86-40ba-ae55-b019dee5cc25"

username
string
required

Registered User Name

Example:

"name@domain.com"

firstName
string
required

Registered User First Name

Example:

"John"

lastName
string
required

Registered User Last Name

Example:

"Doe"

locale
string
required

Registered User Locale

Example:

"tr_TR"

timezone
string
required

Registered User Time Zone Id

Example:

"Europe/Istanbul"

roles
enum<string>[]
required

Registered User Roles

{msg:swagger.schema.auth.register-response.roles}

Available options:
GUEST,
API_USER,
STANDARD_USER,
POWER_USER,
EXTENDED_USER,
ADMIN
Example:

"API_USER"

status
enum<string>
required

Registered User Status

Available options:
INACTIVE,
ACTIVE,
EXPIRED,
BLOCKED,
DELETED
Example:

"INACTIVE"

midName
string

Registered User Mid Name

Example:

"Bob"

account
object